IMSSubsystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.zOS.IMSSubsystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.zOS
Interface IMSSubsystem

All Superinterfaces:
  AppServer, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Subsystem, Version

    public interface IMSSubsystem

extends AppServer, Version, Subsystem

An IMS subsystem running on zOS

Naming Rules:
  0="zos,subsystemname"
Persistable:
  true
Table Name:
  APPSIMS
Top Level:
  true
Display Name:
  zos,subsystemname

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`RUNNING, STOPPED`

Method Summary
`java.lang.String` | `getCQSGroupName()` The name of the sysplex group associated with the same Common Queue Server facility that is used by this IMS subsystem.
`java.lang.String` | `getDatabasesChecksum()`
`IMSDatabase[]` | `getImsdatabase()`
`java.lang.String` | `getIMSPlexGroupName()` The name of the sysplex group that represents the IMSPlex of which this subsystem is a part.
`IMSProgram[]` | `getImsprogram()`
`int` | `getIMSSubsysType()` The type of IMS subsystem this is an instance of.
`IMSTransaction[]` | `getImstransactions()`
`java.lang.String` | `getIRLMGroupName()` The name of the sysplex group that represents all of the IMS address spaces involved in the same internal resource lock manager group.
`java.lang.String` | `getProgramsChecksum()`
`java.lang.String` | `getSubsystemname()`
`java.lang.String` | `getTransactionsChecksum()`
`ZOS` | `getZos()`
`boolean` | `hasCQSGroupName()`
`boolean` | `hasDatabasesChecksum()`
`boolean` | `hasImsdatabase()`
`boolean` | `hasIMSPlexGroupName()`
`boolean` | `hasImsprogram()`
`boolean` | `hasIMSSubsysType()`
`boolean` | `hasImstransactions()`
`boolean` | `hasIRLMGroupName()`
`boolean` | `hasProgramsChecksum()`
`boolean` | `hasSubsystemname()`
`boolean` | `hasTransactionsChecksum()`
`boolean` | `hasZos()`
`void` | `setCQSGroupName(java.lang.String name)`
`void` | `setDatabasesChecksum(java.lang.String x)`
`void` | `setImsdatabase(IMSDatabase[] x)`
`void` | `setIMSPlexGroupName(java.lang.String name)`
`void` | `setImsprogram(IMSProgram[] x)`
`void` | `setIMSSubsysType(int type)`
`void` | `setImstransactions(IMSTransaction[] x)`
`void` | `setIRLMGroupName(java.lang.String name)`
`void` | `setProgramsChecksum(java.lang.String x)`
`void` | `setSubsystemname(java.lang.String x)`
`void` | `setTransactionsChecksum(java.lang.String x)`
`void` | `setZos(ZOS x)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Methods inherited from interface com.collation.platform.model.topology.sys.zOS.Subsystem
`getAddressspace, getAddressspaces, getBindaddress, getCommandPrefixName, getControllingAddressSpace, getSysplexgroup, hasAddressspace, hasAddressspaces, hasBindaddress, hasCommandPrefixName, hasControllingAddressSpace, hasSysplexgroup, setAddressspace, setAddressspaces, setBindaddress, setCommandPrefixName, setControllingAddressSpace, setSysplexgroup`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getIMSSubsysType

    int getIMSSubsysType()
                         throws AttributeNotSetException

  The type of IMS subsystem this is an instance of.

  Throws:
    `AttributeNotSetException`

### setIMSSubsysType

    void setIMSSubsysType(int type)

### hasIMSSubsysType

    boolean hasIMSSubsysType()

### getIRLMGroupName

    java.lang.String getIRLMGroupName()
                                      throws AttributeNotSetException

  The name of the sysplex group that represents all of the IMS address spaces involved in the same internal resource lock manager group.

  Throws:
    `AttributeNotSetException`

### setIRLMGroupName

    void setIRLMGroupName(java.lang.String name)

### hasIRLMGroupName

    boolean hasIRLMGroupName()

### getCQSGroupName

    java.lang.String getCQSGroupName()
                                     throws AttributeNotSetException

  The name of the sysplex group associated with the same Common Queue Server facility that is used by this IMS subsystem.

  Throws:
    `AttributeNotSetException`

### setCQSGroupName

    void setCQSGroupName(java.lang.String name)

### hasCQSGroupName

    boolean hasCQSGroupName()

### getIMSPlexGroupName

    java.lang.String getIMSPlexGroupName()
                                         throws AttributeNotSetException

  The name of the sysplex group that represents the IMSPlex of which this subsystem is a part.

  Throws:
    `AttributeNotSetException`

### setIMSPlexGroupName

    void setIMSPlexGroupName(java.lang.String name)

### hasIMSPlexGroupName

    boolean hasIMSPlexGroupName()

### getZos

    ZOS getZos()
               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.HostedDependency" reverse="false"

### setZos

    void setZos(ZOS x)

### hasZos

    boolean hasZos()

### getSubsystemname

    java.lang.String getSubsystemname()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSubsystemname

    void setSubsystemname(java.lang.String x)

### hasSubsystemname

    boolean hasSubsystemname()

### getImstransactions

    IMSTransaction[] getImstransactions()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setImstransactions

    void setImstransactions(IMSTransaction[] x)

### hasImstransactions

    boolean hasImstransactions()

### getImsprogram

    IMSProgram[] getImsprogram()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setImsprogram

    void setImsprogram(IMSProgram[] x)

### hasImsprogram

    boolean hasImsprogram()

### getImsdatabase

    IMSDatabase[] getImsdatabase()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setImsdatabase

    void setImsdatabase(IMSDatabase[] x)

### hasImsdatabase

    boolean hasImsdatabase()

### getTransactionsChecksum

    java.lang.String getTransactionsChecksum()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTransactionsChecksum

    void setTransactionsChecksum(java.lang.String x)

### hasTransactionsChecksum

    boolean hasTransactionsChecksum()

### getProgramsChecksum

    java.lang.String getProgramsChecksum()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProgramsChecksum

    void setProgramsChecksum(java.lang.String x)

### hasProgramsChecksum

    boolean hasProgramsChecksum()

### getDatabasesChecksum

    java.lang.String getDatabasesChecksum()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDatabasesChecksum

    void setDatabasesChecksum(java.lang.String x)

### hasDatabasesChecksum

    boolean hasDatabasesChecksum()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD